# configuration for device 0

[flash-mode]
# 0 = GST_PHOTOGRAPHY_FLASH_MODE_AUTO
# 1 = GST_PHOTOGRAPHY_FLASH_MODE_OFF
# 2 = GST_PHOTOGRAPHY_FLASH_MODE_ON
0 = auto
1 = off
2 = on

[focus-mode]
# 0 = GST_PHOTOGRAPHY_FOCUS_MODE_AUTO
# 1 = GST_PHOTOGRAPHY_FOCUS_MODE_MACRO
# 2 = GST_PHOTOGRAPHY_FOCUS_MODE_PORTRAIT
# 3 = GST_PHOTOGRAPHY_FOCUS_MODE_INFINITY
# 4 = GST_PHOTOGRAPHY_FOCUS_MODE_HYPERFOCAL
# 5 = GST_PHOTOGRAPHY_FOCUS_MODE_EXTENDED
# 6 = GST_PHOTOGRAPHY_FOCUS_MODE_CONTINUOUS_NORMAL
# 7 = GST_PHOTOGRAPHY_FOCUS_MODE_CONTINUOUS_EXTENDED
# 8 = GST_PHOTOGRAPHY_FOCUS_MODE_MANUAL
0 = auto
1 = macro
3 = infinity
6 = continuous
7 = continuous

[white-balance-mode]
# 0 = GST_PHOTOGRAPHY_WB_MODE_AUTO
# 1 = GST_PHOTOGRAPHY_WB_MODE_DAYLIGHT
# 2 = GST_PHOTOGRAPHY_WB_MODE_CLOUDY
# 3 = GST_PHOTOGRAPHY_WB_MODE_SUNSET
# 4 = GST_PHOTOGRAPHY_WB_MODE_TUNGSTEN
# 5 = GST_PHOTOGRAPHY_WB_MODE_FLUORESCENT
# 6 = GST_PHOTOGRAPHY_WB_MODE_MANUAL
# 7 = GST_PHOTOGRAPHY_WB_MODE_WARM_FLUORESCENT
# 8 = GST_PHOTOGRAPHY_WB_MODE_SHADE
0 = auto
1 = daylight
2 = cloudy-daylight
4 = incandescent
5 = fluorescent

[scene-mode]
# 0 = GST_PHOTOGRAPHY_SCENE_MODE_MANUAL
# 1 = GST_PHOTOGRAPHY_SCENE_MODE_CLOSEUP
# 2 = GST_PHOTOGRAPHY_SCENE_MODE_PORTRAIT
# 3 = GST_PHOTOGRAPHY_SCENE_MODE_LANDSCAPE
# 4 = GST_PHOTOGRAPHY_SCENE_MODE_SPORT
# 5 = GST_PHOTOGRAPHY_SCENE_MODE_NIGHT
# 6 = GST_PHOTOGRAPHY_SCENE_MODE_AUTO
# 7 = GST_PHOTOGRAPHY_SCENE_MODE_ACTION
# 8 = GST_PHOTOGRAPHY_SCENE_MODE_NIGHT_PORTRAIT
# 9 = GST_PHOTOGRAPHY_SCENE_MODE_THEATRE
# 10 = GST_PHOTOGRAPHY_SCENE_MODE_BEACH
# 11 = GST_PHOTOGRAPHY_SCENE_MODE_SNOW
# 12 = GST_PHOTOGRAPHY_SCENE_MODE_SUNSET
# 13 = GST_PHOTOGRAPHY_SCENE_MODE_STEADY_PHOTO
# 14 = GST_PHOTOGRAPHY_SCENE_MODE_FIREWORKS
# 15 = GST_PHOTOGRAPHY_SCENE_MODE_PARTY
# 16 = GST_PHOTOGRAPHY_SCENE_MODE_CANDLELIGHT
# 17 = GST_PHOTOGRAPHY_SCENE_MODE_BARCODE
2 = portrait
3 = landscape
4 = sports
5 = night
6 = auto
8 = night-portrait
9 = theatre
10 = beach
11 = snow
12 = sunset
13 = steadyphoto
14 = fireworks
15 = party
16 = candlelight

[color-tone-mode]
# 0 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_NORMAL
# 1 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_SEPIA
# 2 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_NEGATIVE
# 3 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_GRAYSCALE
# 4 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_NATURAL
# 5 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_VIVID
# 6 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_COLORSWAP
# 7 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_SOLARIZE
# 8 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_OUT_OF_FOCUS
# 9 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_SKY_BLUE
# 10 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_GRASS_GREEN
# 11 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_SKIN_WHITEN
# 12 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_POSTERIZE
# 13 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_WHITEBOARD
# 14 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_BLACKBOARD
# 15 = GST_PHOTOGRAPHY_COLOR_TONE_MODE_AQUA
0 = none
1 = sepia
2 = negative
3 = mono
12 = posterize
13 = whiteboard
14 = blackboard
15 = aqua

[flicker-mode]
# 0 = GST_PHOTOGRAPHY_FLICKER_REDUCTION_OFF
# 1 = GST_PHOTOGRAPHY_FLICKER_REDUCTION_50HZ
# 2 = GST_PHOTOGRAPHY_FLICKER_REDUCTION_60HZ
# 3 = GST_PHOTOGRAPHY_FLICKER_REDUCTION_AUTO
0 = off
1 = 50hz
2 = 60hz
3 = auto

